<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Temas
 *
 * @ORM\Table(name="temas", indexes={@ORM\Index(name="cve_cur", columns={"cve_cur"})})
 * @ORM\Entity
 */
class Temas
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_tem", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideTem;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_cur", type="integer", nullable=false)
     */
    private $cveCur;

    /**
     * @var string
     *
     * @ORM\Column(name="tema", type="string", length=500, nullable=false)
     */
    private $tema;



    /**
     * Get ideTem
     *
     * @return integer
     */
    public function getIdeTem()
    {
        return $this->ideTem;
    }

    /**
     * Set cveCur
     *
     * @param integer $cveCur
     *
     * @return Temas
     */
    public function setCveCur($cveCur)
    {
        $this->cveCur = $cveCur;

        return $this;
    }

    /**
     * Get cveCur
     *
     * @return integer
     */
    public function getCveCur()
    {
        return $this->cveCur;
    }

    /**
     * Set tema
     *
     * @param string $tema
     *
     * @return Temas
     */
    public function setTema($tema)
    {
        $this->tema = $tema;

        return $this;
    }

    /**
     * Get tema
     *
     * @return string
     */
    public function getTema()
    {
        return $this->tema;
    }
}
